Page MenuHomePhabricator

The characters "set minus", "parallel to" (and maybe "divides") should be used in appropriate context
Closed, ResolvedPublic

Description

On https://en.wikipedia.org/wiki/Help:Displaying_a_formula I see that Mathoid generates

U+2223; ∣divides
U+2216;∖ set minus
U+2225; ∥ parallel to

These are mathematical binary operators with very specific meaning but sometimes they are used in inappropriate context. For example it's correct that \setminus generates U+2216 but the more generic \backslash command should instead use "reverse solidus". Same with \| or \Vert which should generate "U+2016 double vertical line" when they are used as fences, not U+2225.

This obviously causes issue for assistive technologies. Also, this may result in wrong display for MathML rendering engines that rely on the values of the MathML Operator Dictionary (http://www.w3.org/TR/MathML3/appendixc.html).

Event Timeline

fredw created this task.Jul 9 2015, 11:40 AM
fredw raised the priority of this task from to Needs Triage.
fredw updated the task description. (Show Details)
fredw added projects: Math, Mathoid, Accessibility.
fredw added a subscriber: fredw.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 9 2015, 11:40 AM
Physikerwelt triaged this task as Medium priority.Jul 20 2015, 12:24 AM
Physikerwelt set Security to None.
Physikerwelt added a subscriber: Physikerwelt.
Luke-v-hopkins added a subscriber: Luke-v-hopkins.

Some students at Metropolitan State University of Denver want to get their feet wet with resolving this issue. The estimated finish date is next Thursday at 8pm. If this is too long, then please unassign, otherwise we will finish it or drop it at that time.

Luke-v-hopkins removed Luke-v-hopkins as the assignee of this task.Feb 23 2018, 9:51 PM

I have investigated this issue with my group for the past week and here are the results. After tracking the issue from Wikimedia to Mathoid and beyond, I suspect the issue originates in MathJax (MJX). In particular its unicode constants. I've spoken with one member of that team and he suspects the same and pointed to the 'texvc' library.

I made a new issue on that Github for that purpose. https://github.com/mathjax/MathJax/issues/1937

At this point, this issue has fallen outside of the scope we had anticipated, and so we agreed as a group to discontinue on our end. It was also pointed out that this issue is two years old, so if no interest comes up soon, I would advise closing it out. Thanks.

Pkra added a subscriber: Pkra.Nov 30 2018, 10:13 PM

I think this actually has been fixed upstream a while ago.

Physikerwelt closed this task as Resolved.Dec 1 2018, 3:47 PM
Physikerwelt claimed this task.

I am closing that for now. I can not see any actionable tasks. Please reopen if neccary.